#ifndef __BR_NODE_H__
#define __BR_NODE_H__

#include "RedBlackNodeInterface.h"

using namespace std;

class br_node : public RedBlackNodeInterface {
    public:
        br_node(string data);
        string data;
        int color; //red = 0, black = 1
        br_node* parent;
        br_node* left;
        br_node* right;
        string getWord();
        int getColor();
        RedBlackNodeInterface * getLeftChild();
        RedBlackNodeInterface * getRightChild();
};
#endif
